Request

Response

    Cancel a job
    POST

    queues/{queueId}/jobs:cancel

    Cancel the job specified by the jobId.

    Resource Information

    Method and URI
    POST
    https://developer.api.autodesk.com/flow/compute/v1/queues/{queueId}/jobs:cancel
    Authentication Context
    user context optional
    Required OAuth Scopes
    No scopes required
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is obtained via either a two-legged or three-legged OAuth flow.
    region
    string
    The region targeted by the request. The usage of this header is recommended for faster processing. The region specified must match the region in which the targeted job queue was created or else the request will fail.
    Content-Type*
    string
    Must be application/json
    * Required

    Request

    URI Parameters

    queueId
    string
    The queue ID. Use the special ID @default to indicate the default queue for the user or client app.

    Request

    Body Structure

    jobId*
    string
    A unique ID for a specific job

    Max length: 1024

    * Required

    Response

    HTTP Status Code Summary

    200
    OK
    OK
    400
    Bad Request
    Bad request - indicates an incorrectly structured or otherwise incorrect request.
    401
    Unauthorized
    Unauthorized - credentials are invalid or not provided in the request
    403
    Forbidden
    Forbidden - the user or client does not have the required privileges to access this resource
    404
    Not Found
    The specified resource was not found

    Response

    Body Structure (200)

    Response for 200 has no body.

    Example

    This example cancels a job using the jobId.

    Request

    curl -v 'https://developer.api.autodesk.com/flow/compute/v1/queues/@default/jobs:cancel' \
      -X 'POST' \
      -H 'Authorization: Bearer eyJhbGc...' \
      -H 'Content-Type: application/json'\
      -d '{
            "jobId": "8167aec1-c057-423a-8256-5b5883477d91"
          }'
    

    Response

    {
    }